Subject: Re: [PATCH] Makefile: avoid constant rebuilds with compilation database

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 May 2025 12:08:10 -0700

"brian m. carlson" <[email-masked]> writes:

> On 2025-05-22 at 18:55:18, brian m. carlson wrote:
>> Many contributors to software use a Language Server Protocol
>> implementation to allow their editor to learn structural information
>> about the code they write and provide additional features, such as
>> jumping to the declaration or definition of a function or type.  In C,
>> the usual implementation is clangd, which requires compiling with clang.
>
> Oops, my apologies.  My patch directory was unclean.  Junio already
> picked this up, I believe.

Don't fret--mistakes happen.  880146ae (Makefile: avoid constant
rebuilds with compilation database, 2025-05-09) is already in
'master' as of a few days ago.